import React from 'react';
import classNames from 'classnames';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import TreeItem from './TreeItem';
import cls from './style.module.less';

export default function Tree(props) {
  const { data, renderTitle, onClick } = props;
  const [current, setCurrent] = React.useState(0);
  
  return (
    <View class={classNames(cls.tree, cls.box)}>
      {
        data.map((it, inx) => (
          <TreeItem
            key={inx}
            data={it}
            expanded={current == inx}
            onToggle={(x) => setCurrent(x ? inx : -1)}
            onClick={onClick}
            renderTitle={renderTitle}
          />
        ))
      }
    </View>
  );
}
